Skip to content
Browse files

Release as a gem

  • Loading branch information...
1 parent 29a1299 commit 1c2277bb248592efd3c5fc276c0ac1bf5ef0293a @ayosec committed Mar 8, 2012
Showing with 51 additions and 21 deletions.
  1. +1 −0 .gitignore
  2. +1 −11 Gemfile
  3. +15 −9 Gemfile.lock
  4. +0 −1 bin/highcarb
  5. +31 −0 highcarb.gemspec
  6. +3 −0 lib/highcarb/version.rb
View
1 .gitignore
@@ -1,2 +1,3 @@
*.swp
+highcarb*.gem
tmp
View
12 Gemfile
@@ -1,12 +1,2 @@
source :rubygems
-
-gem "thin"
-gem "mime-types"
-gem "em-websocket"
-gem "trollop"
-
-gem "nokogiri"
-gem "haml"
-gem "sass"
-gem "kramdown"
-gem "coffee-script"
+gemspec
View
24 Gemfile.lock
@@ -1,3 +1,17 @@
+PATH
+ remote: .
+ specs:
+ highcarb (0.1)
+ coffee-script
+ em-websocket
+ haml
+ kramdown
+ mime-types
+ nokogiri
+ sass
+ thin
+ trollop
+
GEM
remote: http://rubygems.org/
specs:
@@ -30,12 +44,4 @@ PLATFORMS
ruby
DEPENDENCIES
- coffee-script
- em-websocket
- haml
- kramdown
- mime-types
- nokogiri
- sass
- thin
- trollop
+ highcarb!
View
1 bin/highcarb
@@ -2,7 +2,6 @@
$LOAD_PATH.unshift File.expand_path("../../lib", __FILE__)
-require "bundler/setup"
require "highcarb/command"
HighCarb::Command.new.parse!(ARGV).run!
View
31 highcarb.gemspec
@@ -0,0 +1,31 @@
+# -*- encoding: utf-8 -*-
+$:.push File.expand_path("../lib", __FILE__)
+require "highcarb/version"
+
+Gem::Specification.new do |s|
+ # Metadata
+ s.name = "highcarb"
+ s.version = HighCarb::Version
+ s.authors = ["Ayose Cazorla"]
+ s.email = ["ayosec@gmail.com"]
+ s.homepage = "https://github.com/ayosec/highcarb"
+ s.summary = %q{Slides manager based on Deck.js }
+ s.description = %q{HighCarb can build a presentation based on HAML, Markdown or raw HTML, and let to control them from another browser, via WebSockets.}
+
+ # Manifest
+ s.files = `git ls-files`.split("\n")
+ s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
+ s.require_paths = ["lib"]
+
+ s.add_runtime_dependency "thin"
+ s.add_runtime_dependency "mime-types"
+ s.add_runtime_dependency "em-websocket"
+ s.add_runtime_dependency "trollop"
+ s.add_runtime_dependency "nokogiri"
+ s.add_runtime_dependency "haml"
+ s.add_runtime_dependency "sass"
+ s.add_runtime_dependency "kramdown"
+ s.add_runtime_dependency "coffee-script"
+end
+
View
3 lib/highcarb/version.rb
@@ -0,0 +1,3 @@
+module HighCarb
+ Version = "0.1"
+end

0 comments on commit 1c2277b

Please sign in to comment.
Something went wrong with that request. Please try again.